par(mfrow=c(2,3))
Yi=matrix(Yi,num,16,byrow=T)
lambda=matrix(lambda,num,16,byrow=T)
Ty=matrix(data[,2],51,16,byrow=T)
Ty0=Ty[-1,]
Yhat=matrix(0,num,16)
for (i in (1:16)){
Yhat[,i]=Ty[1,i]+cumsum(lambda[,i])
}
plot(Ui,Yi[,2],'l',col=1,xlab="t",ylab=expression(lambda[paste('3t')]),lwd=1)
lines(Ui,lambda[,2],type="l",lty=2,col=1,lwd=1)
title(main='(a)',font.main= 1, ps=1,cex.main=1)

plot(Ui,hatbeta1Ui,type="l",ylim=c(min(beta1_low),max(beta1_upper)),col=1,xlab="t",ylab=expression(beta[EI](t)),lwd=1)
par(new=TRUE)
plot(Ui,beta1_low,type="l",ylim=c(min(beta1_low),max(beta1_upper)),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
par(new=TRUE)
plot(Ui,beta1_upper,type="l",ylim=c(min(beta1_low),max(beta1_upper)),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
title(main='(b)',font.main= 1, ps=1,cex.main=1)

plot(Ui,hatbeta2Ui,type="l",ylim=c(min(beta2_low),max(beta2_upper)),col=1,xlab="t",ylab=expression(beta[ND](t)),lwd=1)
par(new=TRUE)
plot(Ui,beta2_low,type="l",ylim=c(min(beta2_low),max(beta2_upper)),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
par(new=TRUE)
plot(Ui,beta2_upper,type="l",ylim=c(min(beta2_low),max(beta2_upper)),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
title(main='(c)',font.main= 1, ps=1,cex.main=1)
city_Y=Ty0[,2]
city_Yh=Yhat[,2]
plot(Ui,city_Y,'l',col=1,xlim=c(min(Ui),max(Ui)),ylim=c(0,1000),lwd=1,xlab='t',ylab='')
par(new=TRUE)
plot(Ui,city_Yh,type="l",lty=2,col=1,xlim=c(min(Ui),max(Ui)),ylim=c(0,1000),lwd=1,ann=F,xaxt='n',yaxt='n')
yt=expression(Y[paste('3t')])
title(main='(d)',font.main= 1, ylab=yt,ps=1,cex.main=1)

plot(Ui[1:30],hatbeta1Ui[1:30],type="l",ylim=c(min(beta1_low[1:30]),max(beta1_upper[1:30])),col=1,xlab="t",ylab=expression(beta[EI](t)),lwd=1)
par(new=TRUE)
plot(Ui[1:30],beta1_low[1:30],type="l",ylim=c(min(beta1_low[1:30]),max(beta1_upper[1:30])),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
par(new=TRUE)
plot(Ui[1:30],beta1_upper[1:30],type="l",ylim=c(min(beta1_low[1:30]),max(beta1_upper[1:30])),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
title(main='(e)',font.main= 1, ps=1,cex.main=1)

plot(Ui[1:30],hatbeta2Ui[1:30],type="l",ylim=c(min(beta2_low[1:30]),max(beta2_upper[1:30])),col=1,xlab="t",ylab=expression(beta[ND](t)),lwd=1)
par(new=TRUE)
plot(Ui[1:30],beta2_low[1:30],type="l",ylim=c(min(beta2_low[1:30]),max(beta2_upper[1:30])),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
par(new=TRUE)
plot(Ui[1:30],beta2_upper[1:30],type="l",ylim=c(min(beta2_low[1:30]),max(beta2_upper[1:30])),lty=2,col=1,xaxt='n',yaxt='n',xlab="",ylab="",lwd=1)
title(main='(f)',font.main= 1, ps=1,cex.main=1)

